clear*
set more off
version 15.1

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* import Hamuy surveys
do import_hamuy_surveys.do

* restrict sample to the surveys taken in the last two months before the election
keep if survey=="july_1970_1"|survey=="july_1970_2"|survey=="aug_1970_1"|survey=="aug_1970_2"

logit expect_allende house_encoded, vce(cluster survey)
outreg2 using "logit_model", replace nocons dec(2) tex 

logit expect_allende socio_encoded, vce(cluster survey)
outreg2 using "logit_model", append nocons dec(2) tex 

logit expect_allende salary_encoded, vce(cluster survey)
outreg2 using "logit_model", append nocons dec(2) tex 

logit expect_allende house_encoded socio_encoded salary_encoded, vce(cluster survey)
outreg2 using "logit_model", append nocons dec(2) tex 

logit expect_allende house_encoded salary_encoded, vce(cluster survey)
outreg2 using "logit_model", append nocons dec(2) tex 

predict probability, pr
sum probability if house_encoded==5 & salary_encoded==4
