version 15.1
clear*

* set working directory
cd "/Users/dan/Google Drive/Chile_Paper/JDE REVISION/THIRD JDE SUBMISSION/REPLICATION FILES (Apr 2018)"

* create firm-level dataset
do create_firm_level_dataset.do
keep if (Allende_sep_change!=. | coup_sep_change!=. | Allende_day_change!=. | coup_day_change!=.)

twoway (scatter coup_sep_change Allende_sep_change if coup_sep_change<1000) (lfit coup_sep_change Allende_sep_change if coup_sep_change<1000, lpattern(solid) lcolor(blue) lwidth(medium)), /*yline(0, lstyle( color(cranberry)))*/ scheme(plotplainblind) name(fig_5) xtitle("Price change after the 1970 election", size(large)) ytitle("Price change after the 1973 coup", size(large)) legend(off ring(0) pos(12) region(lstyle(foreground) lwidth(small)) )
graph export "Figures/Figure_5.pdf", name(fig_5) replace

* same Figure without dropping outlier
twoway (scatter coup_sep_change Allende_sep_change) (lfit coup_sep_change Allende_sep_change, lpattern(solid) lcolor(blue) lwidth(medium)), yline(0, lstyle( color(cranberry))) scheme(plotplainblind) name(fig_5_with_outlier) legend(off ring(0) pos(12) region(lstyle(foreground) lwidth(small)) )
